Enforce login method
curl --request POST \
--url https://accounts.livechat.com/v2/organizations/my/login_methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"login_method": "saml"
}
'import requests
url = "https://accounts.livechat.com/v2/organizations/my/login_methods"
payload = { "login_method": "saml" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({login_method: 'saml'})
};
fetch('https://accounts.livechat.com/v2/organizations/my/login_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "bad_request",
"error_description": "The server cannot or will not process the request due to an apparent client error (for example, malformed request syntax, size too large).",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "resource_not_found",
"error_description": "The requested resource couldn't be found.",
"resource_name": "account",
"resource_id": "def31e95-5ca4-4817-b176-732e4544daca",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "conflict",
"error_description": "The request couldn't be processed because of conflict in the current state of the resource.",
"resource_name": "account",
"resource_id": "5903c51b-89f0-41a9-a25d-4f39af100353",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "server_error",
"error_description": "The server encountered an unexpected condition that prevented it from fulfilling the request.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}OrganizationLoginMethods
Enforce login method
Enforces a login method for the organization.
POST
/
organizations
/
my
/
login_methods
Enforce login method
Authorizations
This API uses OAuth2 with the implicit grant flow. Learn about the implicit grant flow.
Body
application/json
The login methods object.
The login method object.
The login method enforced for the organization.
Available options:
google, microsoft, saml Response
OK: Returns organization login methods.
Was this page helpful?
⌘I